Page MenuHomePhabricator

Eolian is confused when we don't use base
Closed, ResolvedPublic

Description

When trying to remove some of our use of Base, I ended up on eolian complaining. A typical example would be :

eolian: name clash over 'Efl.Gradient.Radial' between classes 'Efl.Gradient.Radial' and 'Efl.Gradient'
eolian: unable to find function 'Efl.Gradient.Radial.center'

This need to be fixed for Efl interface task to move forward.

cedric created this task.Mar 10 2016, 1:57 PM

Yeah, the problem here is the namespace/classname clash in C++. @felipealmeida, do you deal with this in C++ gen yet? We probably need it fixed in the generator first because I can lift the restriction in Eolian itself.

q66 added a subscriber: tasn.Mar 11 2016, 5:15 AM
tasn added a comment.May 6 2016, 3:43 AM

@q66, it's already fixed.

q66 closed this task as Resolved.May 6 2016, 5:04 AM